Page MenuHomePhabricator

VE->WTE switch gets stuck on errors
Closed, ResolvedPublic8 Story Points

Description

E.g. RESTBase returns a 404

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 4 2016, 2:16 AM
Jdforrester-WMF triaged this task as High priority.May 10 2016, 7:13 PM
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 294184 had a related patch set uploaded (by Alex Monk):
Call child serializeSuccess/Failure in ArticleTarget#serialize

https://gerrit.wikimedia.org/r/294184

Change 294190 had a related patch set uploaded (by Alex Monk):
On serialization failure, reset document opacity.

https://gerrit.wikimedia.org/r/294190

Change 294184 merged by jenkins-bot:
Call child serializeSuccess/Failure in ArticleTarget#serialize

https://gerrit.wikimedia.org/r/294184

Change 294190 merged by jenkins-bot:
On serialization failure, reset document opacity.

https://gerrit.wikimedia.org/r/294190

Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Is this now closable?

AlexMonk-WMF closed this task as Resolved.Jun 14 2016, 2:20 PM

I think so - it doesn't get stuck on errors if you try to VE->WTE switch while RB is disabled now (at least on my local wiki).